Bug 209917 - crossvc should Obsolete lincvs
crossvc should Obsolete lincvs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lincvs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-08 00:47 EDT by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 14:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2006-10-08 00:47:50 EDT
Description of problem:
crossvc is the renamed lincvs, but crossvc does not provide an upgrade path from
the renamed lincvs package.  Consequently if lincvs is currently installed, then
a yum upgrade will never upgrade to the newer crossvc package.  Also  crossvc
and lincvs can be concurrently installed, potentially leading to file conflict
problems.

Version-Release number of selected component (if applicable):
crossvc-1.5.0-1.fc5

How reproducible:
Always

Steps to Reproduce:
1. have lincvs-1.4.4-1.fc5 installed
2. sudo yum upgrade
  
Actual results:
Nothing happens to lincvs

Expected results:
crossvc-1.5.0-1.fc5 should be installed and lincvs-1.4.4-1.fc5 should have been
removed.  This should be achieved by use of Obsolete: lincvs and Provides:
lincvs in the crossvc spec file.

Additional info:
Lastly a new "crossvc" bugzilla component should be added.
Comment 2 Jochen Schmitt 2006-10-09 14:26:39 EDT
I have fixed it.


Note You need to log in before you can comment on or make changes to this bug.